One thought on “Raspberry PI & TNC-PI APRX (in Dutch)

  1. Hi Erik,
    Allereerst bedankt voor je duidelijke manual om APRX te draaien op de RPI met de pitnc. Versie 2.8.2 had ik in notime draaien met je whitepaper.
    Nu heb ik een nieuwe pi 3 en Jessie draaien en wil dus ook gelijk de versie 2.9 van APRX gebruiken. Dat is allemaal geïnstalleerd en werkt in principe al als ik dit handmatig start.
    Mijn vraag is nu waar ik hoe ik de autostart in regel? Op bladzijde 8 geef je aan hoe je Autostart APRX op Raspberry instelt maar mijn file aprs in init.d dir is heel anders. Omdat ik nauwelijks verstand heb van Debian weet ik dus niet waar ik de instructies om i2ckiss te starten voor twee pijnc’s moet neerzetten. Kun je mij een tip geven aub?
    Ik quote hieronder mijn aprs file uit de init.d dir:
    quote
    #! /bin/sh
    ### BEGIN INIT INFO
    # Provides: aprx
    # Required-Start: $syslog $local_fs
    # Required-Stop: $syslog $local_fs
    # Should-Start: ax25ifs
    # Default-Start: 2 3 4 5
    # Default-Stop: 0 1 6
    # Short-Description: start and stop aprx
    # Description: Monitor and gateway radio amateur APRS radio network datagrams
    ### END INIT INFO

    # Do NOT “set -e”

    # PATH should only include /usr/* if it runs after the mountnfs.sh script
    PATH=/sbin:/usr/sbin:/bin:/usr/bin
    DESC=”aprx igate”
    NAME=aprx
    DAEMON=/usr/sbin/$NAME
    DAEMON_ARGS=””
    PIDFILE=/var/run/$NAME.pid
    SCRIPTNAME=/etc/init.d/$NAME

    # Exit if the package is not installed
    [ -x “$DAEMON” ] || exit 0

    # Read configuration variable file if it is present
    [ -r /etc/default/$NAME ] && . /etc/default/$NAME

    # Load the VERBOSE setting and other rcS variables
    . /lib/init/vars.sh

    # Define LSB log_* functions.
    # Depend on lsb-base (>= 3.2-14) to ensure that this file is present
    # and status_of_proc is working.
    . /lib/lsb/init-functions

    #
    # Function that starts the daemon/service
    #
    do_start()
    {
    # Return
    # 0 if daemon has been started
    # 1 if daemon was already running
    # 2 if daemon could not be started
    [ “$STARTAPRX” != “yes” ] && return 2
    start-stop-daemon –start –quiet –pidfile $PIDFILE –exec $DAEMON –test > /dev/null \
    || return 1
    start-stop-daemon –start –quiet –pidfile $PIDFILE –exec $DAEMON — \
    $DAEMON_ARGS \
    || return 2
    # Add code here, if necessary, that waits for the process to be ready
    # to handle requests from services started subsequently which depend
    # on this one. As a last resort, sleep for some time.
    }

    #
    # Function that stops the daemon/service
    #
    do_stop()
    {
    # Return
    # 0 if daemon has been stopped
    # 1 if daemon was already stopped
    # 2 if daemon could not be stopped
    # other if a failure occurred
    start-stop-daemon –stop –quiet –retry=TERM/30/KILL/5 –pidfile $PIDFILE –name $NAME
    RETVAL=”$?”
    [ “$RETVAL” = 2 ] && return 2
    # Wait for children to finish too if this is a daemon that forks
    # and if the daemon is only ever run from this initscript.
    # If the above conditions are not satisfied then add some other code
    # that waits for the process to drop all resources that could be
    # needed by services started subsequently. A last resort is to
    # sleep for some time.
    start-stop-daemon –stop –quiet –oknodo –retry=0/30/KILL/5 –exec $DAEMON
    [ “$?” = 2 ] && return 2
    # Many daemons don’t delete their pidfiles when they exit.
    rm -f $PIDFILE
    return “$RETVAL”
    }

    #
    # Function that sends a SIGHUP to the daemon/service
    #
    do_reload() {
    #
    # If the daemon can reload its configuration without
    # restarting (for example, when it is sent a SIGHUP),
    # then implement that here.
    #
    start-stop-daemon –stop –signal 1 –quiet –pidfile $PIDFILE –name $NAME
    return 0
    }

    case “$1” in
    start)
    [ “$VERBOSE” != no ] && log_daemon_msg “Starting $DESC” “$NAME”
    do_start
    case “$?” in
    0|1) [ “$VERBOSE” != no ] && log_end_msg 0 ;;
    2) [ “$VERBOSE” != no ] && log_end_msg 1 ;;
    esac
    ;;
    stop)
    [ “$VERBOSE” != no ] && log_daemon_msg “Stopping $DESC” “$NAME”
    do_stop
    case “$?” in
    0|1) [ “$VERBOSE” != no ] && log_end_msg 0 ;;
    2) [ “$VERBOSE” != no ] && log_end_msg 1 ;;
    esac
    ;;
    status)
    status_of_proc “$DAEMON” “$NAME” && exit 0 || exit $?
    ;;
    #reload|force-reload)
    #
    # If do_reload() is not implemented then leave this commented out
    # and leave ‘force-reload’ as an alias for ‘restart’.
    #
    #log_daemon_msg “Reloading $DESC” “$NAME”
    #do_reload
    #log_end_msg $?
    #;;
    restart|force-reload)
    #
    # If the “reload” option is implemented then remove the
    # ‘force-reload’ alias
    #
    log_daemon_msg “Restarting $DESC” “$NAME”
    do_stop
    case “$?” in
    0|1)
    do_start
    case “$?” in
    0) log_end_msg 0 ;;
    1) log_end_msg 1 ;; # Old process is still running
    *) log_end_msg 1 ;; # Failed to start
    esac
    ;;
    *)
    # Failed to stop
    log_end_msg 1
    ;;
    esac
    ;;
    *)
    #echo “Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}” >&2
    echo “Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}” >&2
    exit 3
    ;;
    esac

    :

    unquote

    Ik wil ook de file opsturen als dat makkelijker is.
    Alvast bedankt voor je hulp.

Geef een reactie

Het e-mailadres wordt niet gepubliceerd. Vereiste velden zijn gemarkeerd met *

Deze website gebruikt Akismet om spam te verminderen. Bekijk hoe je reactie-gegevens worden verwerkt.